Loading...
Searching...
No Matches
MultiFileBase.h File Reference
`#include <casacore/casa/aips.h>`
`#include <casacore/casa/IO/ByteIO.h>`
`#include <casacore/casa/BasicSL/String.h>`
`#include <casacore/casa/ostream.h>`
`#include <vector>`
`#include <memory>`

Go to the source code of this file.

## Classes

class | casacore::MultiFileBuffer
| More...
struct | casacore::MultiFileInfo
| Helper class for MultiFileBase containing info per logical file. More...
class | casacore::MultiFileBase
| Abstract base class to combine multiple logical files in a single one. More...

## Namespaces

namespace | casacore
| this file contains all the compiler specific defines

## Functions

ostream & | casacore::operator<< (ostream &, const MultiFileInfo &)
AipsIO & | casacore::operator<< (AipsIO &, const MultiFileInfo &)
AipsIO & | casacore::operator>> (AipsIO &, MultiFileInfo &)
void | casacore::getInfoVersion1 (AipsIO &, std::vector< MultiFileInfo > &)